%define ALD_Ver		2.0

#USE gcc-7.5.0

%define OrgName file
%define mC_Version 1.2.4s

Name:         mC-%{OrgName}
License:      Copyright (c) Ian F. Darwin
Summary:      This is Release 5.30 of Ian Darwin's file(1) command.
Version:      5.30
Release:      %{mC_Version}.0

Requires:     file-magic-v14 >= 5.30

Source: %{OrgName}-%{version}.tar.xz

%define DestDir		/Embedded/uC-%{version}

%define DestDir /Embedded/mC/%{mC_Version}
%define _prefix /usr/mC/%{mC_Version}
# -----------------------------------------------------
%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

%if %{_target_cpu} == %{_build_cpu}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}/mC/%{mC_Version}
%define _CROSS 0
%define MakeLocCross 0
%else
# rpm --target=x86_64 -ba xxxxx.spec
%define _srcrpmdir	%{_topdir}/SRPMS/tmp
%define _CROSS 1
%define MakeLocCross 1
%endif

# -----------------------------------------------------

%if %{have_auto_local}
%define __os_install_post %{nil}
%else
%define MakeLocCross 0
%endif

%if %{_CROSS}
%define CrossPath /cross/%{_target_cpu}
%else
%define CrossPath %{nil}
%endif

#------------------ CROSS DIR --------------------

%define target %{_arch}-linux-musl
%define docdir %{_defaultdocdir}/%{OrgName}

# ------------------- description ------------------------------------
%description
This package contains the Ian Darwin's file(1) library
#-------------------------------
%package      %{_target_cpu}
Summary:      %{name} Cross-%{_target_cpu} Libraries
Buildarch:    noarch
autoreqprov:  0
%description  %{_target_cpu}
%{name} Cross-%{_target_cpu} Libraries

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{OrgName}-%{version}

sed -i s:"(pkgdatadir)/magic":"(pkgdatadir)/magic-v14": src/Makefile.in

# ------------------- Build ------------------------------------------
%Build
export PATH=$PATH:%{CrossPath}%{_prefix}/bin
export GCC_NoHostPath=d

%if %{_arch} == "i386"
OPTFLAGS="-Os -march=i586 -mpreferred-stack-boundary=2 -falign-functions=1 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-Os"
%endif
%if %{_arch} == "arm"
OPTFLAGS="%{optflags} -Os -munaligned-access"
%endif

OPTFLAGS="$OPTFLAGS -fno-asynchronous-unwind-tables -ffunction-sections -fdata-sections"
export CFLAGS="$OPTFLAGS"
export LDFLAGS="-Wl,--gc-sections"
export CC="%{target}-gcc"
#export AR="%{target}-ar"
#export AR="%{target}-ar -curv"
#export RANLIB="%{target}-ranlib"

./configure \
%if %{_CROSS}
	--build=%{_build} \
	--host=%{target} \
%endif
	--prefix=/usr \
	--exec-prefix=%{_exec_prefix} \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
	--disable-shared \
	--disable-libtool-lock \
	&>FConfigure_log.txt

sed -i s:"SUBDIRS = src magic tests doc python":"SUBDIRS = src doc python": Makefile

make &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
export PATH=$PATH:%{CrossPath}%{_prefix}/bin
export GCC_NoHostPath=d

rm -rf $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>FInstall_log.txt
cp COPYING README $RPM_BUILD_ROOT%{docdir}/

rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm -r $RPM_BUILD_ROOT/usr/share


%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} -target_platform=%{target}-
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean
%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# ------------------- Cross Files ------------------------------------
%files
%{_prefix}

# ------------------- Cross Files ------------------------------------
%if %{MakeLocCross}

%files %{_target_cpu}
%{CrossPath}%{_prefix}

%endif # MakeLocCross
